Subject: [rrg] Re; ILNP

From: RJ Atkinson <[email-masked]>
Date: Mon, 17 May 2010 14:48:27 -0400

Earlier, Heiner Hummel wrote:
% What is the namespace for the ILNP locator ?

Tony's answer is quite correct for ILNPv6, which is
the best documented case.  The ILNPv6 Locator is simply 
a 64-bit topologically relevant "IPv6 Routing Prefix".

Noel's answer is similarly correct for ILNPv4.
The ILNPv4 Locator is simply a 32-bit topologically 
relevant "IPv4 Routing Prefix".

Later, Noel Chiappa asked:
% However, on the IPv6 side, I don't know how ILNPv6 nodes 
% would carry the ILNPv4 node's locator - perhaps in an ... option?

Using an option is clearly one possible design choice.

The simplest design option might be just to map a 32-bit
IPv4 prefix into the ILNPv6 Locator field in a structured
way.  RFC-4291, Section 2.5.5, defines at least 2 different
ways that such a mapping might be performed.

Yours,

Ran

---

From: [email-masked]
Date: Mon, 17 May 2010 17:43:45 -0400

-----Ursprüngliche Mitteilung----- 
Von: RJ Atkinson <[email-masked]>
An: IRTF Routing RG <[email-masked]>
Verschickt: Mo., 17. Mai. 2010, 20:48
Thema: [rrg] Re; ILNP

Question: topologically relevant means "is a bit string which is not used by TCP" ?
But what is its intrinsic ordering ? Is it an aggregatable information or rather not?

Yours,

Ran

_______________________________________________
rrg mailing list
[email-masked]
http://www.irtf.org/mailman/listinfo/rrg

---

From: Tony Li <[email-masked]>
Date: Mon, 17 May 2010 14:52:08 -0700

> Question: topologically relevant means "is a bit string which is not used by

No.  Topologically relevant means much more than that.  It implies that it
aggregates with the topology...

> But what is its intrinsic ordering ? Is it an aggregatable information or

... Which thereby implies that it aggregates.

Tony